﻿/* wwwroot/css/custom-styles.css */

.language_dropdown .rddlInner::before {
    content: "" !important;
    background: url('/images/icons/Earth-3--Streamline-Streamline-3.0-blue-fixed.svg') !important;
    background-size: 24px !important;
    width: 24px !important;
    height: 24px !important;
    position: absolute !important;
    left: 5px !important;
    top: 50% !important;
    transform: translateY(-50%) !important;
    background-repeat: no-repeat !important;
    background-size: 24px 24px !important;
}

.language_dropdown .rddlInner::after {
    content: "" !important;
    background: url('/images/icons/caret-down-blue.svg') !important;
    width: 24px !important;
    height: 24px !important;
    position: absolute !important;
    right: 0px !important;
    top: 8px !important;
    background-repeat: no-repeat !important;
    background-size: 20px 12px !important;
}

.language_dropdown.RadDropDownList .rddlFocused.rddlInner::after {
    transform: rotate(180deg) !important;
    position: absolute !important;
    right: 4px !important;
    top: -5px !important;
}

.language_dropdown.RadDropDownList_Bootstrap .rddlFocused.rddlInner::after {
    transform: rotate(180deg) !important;
    position: absolute !important;
    right: 4px !important;
    top: -5px !important;
}

.language_dropdown {
    width: 44px !important;
}

    .language_dropdown .RadDropDownList_Bootstrap .rddlFocused {
        background: none !important;
        border: none !important;
        box-shadow: none !important;
    }

    .language_dropdown .rddlIcon {
        display: none !important;
    }

    .language_dropdown .rddlInner {
        text-indent: -99999px !important;
        background: none !important;
        padding: 5px 10px !important;
        position: relative !important;
        width: 34px !important;
        border: none !important;
        cursor: pointer !important;
        box-shadow: none !important;
        right: 20px !important;
    }
